<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::MessageInfo Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('de/dcc/structThread_1_1MessageInfo.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="../../de/df5/structThread_1_1MessageInfo-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::MessageInfo Struct Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../dd/d2e/group__core-message.html">Message</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This structure contains metdata about a <a class="el" href="../../dc/d3c/classThread_1_1Message.html" title="This class represents a message. ">Message</a>.  
 <a href="../../de/dcc/structThread_1_1MessageInfo.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d5/d8c/message_8hpp_source.html">src/core/common/message.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Thread::MessageInfo:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/d96/structThread_1_1MessageInfo__coll__graph.png" border="0" usemap="#Thread_1_1MessageInfo_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1MessageInfo_coll__map" id="Thread_1_1MessageInfo_coll__map">
<area shape="rect" id="node5" href="../../db/d50/classThread_1_1Buffer.html" title="This class represents a Message buffer. " alt="" coords="100,179,207,204"/>
<area shape="rect" id="node2" href="../../d5/d9f/classThread_1_1MessagePool.html" title="Thread::MessagePool" alt="" coords="159,5,311,31"/>
<area shape="rect" id="node3" href="../../d9/dd7/structThread_1_1MessageListEntry.html" title="This structure contains pointers to the MessageList structure, the next Message, and previous Message..." alt="" coords="50,441,227,467"/>
<area shape="rect" id="node4" href="../../dc/d3c/classThread_1_1Message.html" title="This class represents a message. " alt="" coords="76,253,201,279"/>
<area shape="rect" id="node6" href="../../da/d60/structThread_1_1MessageList.html" title="This structure contains pointers to the head and tail of a Message list. " alt="" coords="66,354,212,379"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a5fcb0dc46ae52db6e3e530df6b2217d4"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom">{ <br />
&#160;&#160;<a class="el" href="../../de/dcc/structThread_1_1MessageInfo.html#a5fcb0dc46ae52db6e3e530df6b2217d4a9ed087efe5a3d7cf6f5f45f28f37deb2">kListAll</a> = 0, 
<br />
&#160;&#160;<a class="el" href="../../de/dcc/structThread_1_1MessageInfo.html#a5fcb0dc46ae52db6e3e530df6b2217d4a6aaf5c6edddad3bc91d596cccfff0496">kListInterface</a> = 1
<br />
 }</td></tr>
<tr class="separator:a5fcb0dc46ae52db6e3e530df6b2217d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a256d28dece4ea865476b6ed12da24942"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a256d28dece4ea865476b6ed12da24942"></a>
<a class="el" href="../../d5/d9f/classThread_1_1MessagePool.html">MessagePool</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dcc/structThread_1_1MessageInfo.html#a256d28dece4ea865476b6ed12da24942">mMessagePool</a></td></tr>
<tr class="memdesc:a256d28dece4ea865476b6ed12da24942"><td class="mdescLeft">&#160;</td><td class="mdescRight">Identifies the message pool for this message. <br /></td></tr>
<tr class="separator:a256d28dece4ea865476b6ed12da24942"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ea2c68dbcca801da35bb35aedf0f700"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7ea2c68dbcca801da35bb35aedf0f700"></a>
<a class="el" href="../../d9/dd7/structThread_1_1MessageListEntry.html">MessageListEntry</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dcc/structThread_1_1MessageInfo.html#a7ea2c68dbcca801da35bb35aedf0f700">mList</a> [2]</td></tr>
<tr class="memdesc:a7ea2c68dbcca801da35bb35aedf0f700"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="../../dc/d3c/classThread_1_1Message.html" title="This class represents a message. ">Message</a> lists. <br /></td></tr>
<tr class="separator:a7ea2c68dbcca801da35bb35aedf0f700"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8431237636049e6587dee2d875b85221"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8431237636049e6587dee2d875b85221"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dcc/structThread_1_1MessageInfo.html#a8431237636049e6587dee2d875b85221">mReserved</a></td></tr>
<tr class="memdesc:a8431237636049e6587dee2d875b85221"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of header bytes reserved for the message. <br /></td></tr>
<tr class="separator:a8431237636049e6587dee2d875b85221"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5631c5ba5ba98a1a43761090bc2b44f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5631c5ba5ba98a1a43761090bc2b44f6"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dcc/structThread_1_1MessageInfo.html#a5631c5ba5ba98a1a43761090bc2b44f6">mLength</a></td></tr>
<tr class="memdesc:a5631c5ba5ba98a1a43761090bc2b44f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of bytes within the message. <br /></td></tr>
<tr class="separator:a5631c5ba5ba98a1a43761090bc2b44f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af700e600808a630c3a467f622644c032"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af700e600808a630c3a467f622644c032"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dcc/structThread_1_1MessageInfo.html#af700e600808a630c3a467f622644c032">mOffset</a></td></tr>
<tr class="memdesc:af700e600808a630c3a467f622644c032"><td class="mdescLeft">&#160;</td><td class="mdescRight">A byte offset within the message. <br /></td></tr>
<tr class="separator:af700e600808a630c3a467f622644c032"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a004a1eff77952cd34b14d3d3996bad6d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a004a1eff77952cd34b14d3d3996bad6d"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dcc/structThread_1_1MessageInfo.html#a004a1eff77952cd34b14d3d3996bad6d">mDatagramTag</a></td></tr>
<tr class="memdesc:a004a1eff77952cd34b14d3d3996bad6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The datagram tag used for 6LoWPAN fragmentation. <br /></td></tr>
<tr class="separator:a004a1eff77952cd34b14d3d3996bad6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a487c2e0476296e5470d19711b68a9bef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a487c2e0476296e5470d19711b68a9bef"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dcc/structThread_1_1MessageInfo.html#a487c2e0476296e5470d19711b68a9bef">mChildMask</a> [8]</td></tr>
<tr class="memdesc:a487c2e0476296e5470d19711b68a9bef"><td class="mdescLeft">&#160;</td><td class="mdescRight">A bit-vector to indicate which sleepy children need to receive this. <br /></td></tr>
<tr class="separator:a487c2e0476296e5470d19711b68a9bef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cd9363a39a0241e90167fdcb92a3f3b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5cd9363a39a0241e90167fdcb92a3f3b"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dcc/structThread_1_1MessageInfo.html#a5cd9363a39a0241e90167fdcb92a3f3b">mTimeout</a></td></tr>
<tr class="memdesc:a5cd9363a39a0241e90167fdcb92a3f3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Seconds remaining before dropping the message. <br /></td></tr>
<tr class="separator:a5cd9363a39a0241e90167fdcb92a3f3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab738dbead95c8d85eaa0a2d02114cfbc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab738dbead95c8d85eaa0a2d02114cfbc"></a>
int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dcc/structThread_1_1MessageInfo.html#ab738dbead95c8d85eaa0a2d02114cfbc">mInterfaceId</a></td></tr>
<tr class="memdesc:ab738dbead95c8d85eaa0a2d02114cfbc"><td class="mdescLeft">&#160;</td><td class="mdescRight">The interface ID. <br /></td></tr>
<tr class="separator:ab738dbead95c8d85eaa0a2d02114cfbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5255d5ff28965a59ac341cdfb17e77c2"><td class="memItemLeft" ><a class="anchor" id="a5255d5ff28965a59ac341cdfb17e77c2"></a>
union {</td></tr>
<tr class="memitem:a2300119a16cb857e4dc6280617c97667"><td class="memItemLeft" >
&#160;&#160;&#160;uint16_t&#160;&#160;&#160;<a class="el" href="../../de/dcc/structThread_1_1MessageInfo.html#a51a5c757f626bfdcb602649447b08e84">mPanId</a></td></tr>
<tr class="memdesc:a2300119a16cb857e4dc6280617c97667"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used for MLE Discover Request and Response messages. <br /></td></tr>
<tr class="separator:a2300119a16cb857e4dc6280617c97667"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf24db33837703f1f5eaa518eca7e194"><td class="memItemLeft" >
&#160;&#160;&#160;uint8_t&#160;&#160;&#160;<a class="el" href="../../de/dcc/structThread_1_1MessageInfo.html#a711cd88dcfbf425a2e56599764dfad02">mChannel</a></td></tr>
<tr class="memdesc:adf24db33837703f1f5eaa518eca7e194"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used for MLE Announce. <br /></td></tr>
<tr class="separator:adf24db33837703f1f5eaa518eca7e194"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5255d5ff28965a59ac341cdfb17e77c2"><td class="memItemLeft" valign="top">};&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
<tr class="separator:a5255d5ff28965a59ac341cdfb17e77c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50cfccac2d7e2742675333cde1cb92d2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a50cfccac2d7e2742675333cde1cb92d2"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dcc/structThread_1_1MessageInfo.html#a50cfccac2d7e2742675333cde1cb92d2">mType</a>: 2</td></tr>
<tr class="memdesc:a50cfccac2d7e2742675333cde1cb92d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Identifies the type of message. <br /></td></tr>
<tr class="separator:a50cfccac2d7e2742675333cde1cb92d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dda9c9791237c5b8f8c44262f82ef95"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2dda9c9791237c5b8f8c44262f82ef95"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dcc/structThread_1_1MessageInfo.html#a2dda9c9791237c5b8f8c44262f82ef95">mSubType</a>: 3</td></tr>
<tr class="memdesc:a2dda9c9791237c5b8f8c44262f82ef95"><td class="mdescLeft">&#160;</td><td class="mdescRight">Identifies the message sub type. <br /></td></tr>
<tr class="separator:a2dda9c9791237c5b8f8c44262f82ef95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4304fa97f8cf74ea50693b2f7b21719d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4304fa97f8cf74ea50693b2f7b21719d"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dcc/structThread_1_1MessageInfo.html#a4304fa97f8cf74ea50693b2f7b21719d">mDirectTx</a>: 1</td></tr>
<tr class="memdesc:a4304fa97f8cf74ea50693b2f7b21719d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used to indicate whether a direct transmission is required. <br /></td></tr>
<tr class="separator:a4304fa97f8cf74ea50693b2f7b21719d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f15382a2e6d613a03a9190f5b4c3128"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1f15382a2e6d613a03a9190f5b4c3128"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dcc/structThread_1_1MessageInfo.html#a1f15382a2e6d613a03a9190f5b4c3128">mLinkSecurity</a>: 1</td></tr>
<tr class="memdesc:a1f15382a2e6d613a03a9190f5b4c3128"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates whether or not link security is enabled. <br /></td></tr>
<tr class="separator:a1f15382a2e6d613a03a9190f5b4c3128"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This structure contains metdata about a <a class="el" href="../../dc/d3c/classThread_1_1Message.html" title="This class represents a message. ">Message</a>. </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="a5fcb0dc46ae52db6e3e530df6b2217d4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">anonymous enum</td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a5fcb0dc46ae52db6e3e530df6b2217d4a9ed087efe5a3d7cf6f5f45f28f37deb2"></a>kListAll&#160;</td><td class="fielddoc">
<p>Identifies the all messages list. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a5fcb0dc46ae52db6e3e530df6b2217d4a6aaf5c6edddad3bc91d596cccfff0496"></a>kListInterface&#160;</td><td class="fielddoc">
<p>Identifies the per-interface message list. </p>
</td></tr>
</table>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>src/core/common/<a class="el" href="../../d5/d8c/message_8hpp_source.html">message.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../de/dcc/structThread_1_1MessageInfo.html">MessageInfo</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
